<?php

namespace Database\Seeders;

use App\Models\Upload;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Log;

class UploadSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {



        $array = [
            [
                'id' => 1,
                'user_id' => 1,
                'file_original_name' => 'dark_logo',
                'file_name' => 'dark.png',
                'img_path' => '/assets/images/dark.png',
                'big_path' => '/assets/images/dark.png',
                'small_path' => '/assets/images/dark.png',
                'thumbnail_path' => '/assets/images/dark.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 2,
                'user_id' => 1,
                'file_original_name' => 'white_logo',
                'file_name' => 'white.png',
                'img_path' => '/assets/images/white.png',
                'big_path' => '/assets/images/white.png',
                'small_path' => '/assets/images/white.png',
                'thumbnail_path' => '/assets/images/white.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 3,
                'user_id' => 1,
                'file_original_name' => 'fav',
                'file_name' => 'fav.png',
                'img_path' => '/assets/images/favicon.png',
                'big_path' => '/assets/images/favicon.png',
                'small_path' => '/assets/images/favicon.png',
                'thumbnail_path' => '/assets/images/favicon.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 4,
                'user_id' => 1,
                'file_original_name' => 'background_image',
                'file_name' => 'background_image.png',
                'img_path' => 'public/static/background_image.png',
                'big_path' => 'public/static/background_image.png',
                'small_path' => 'public/static/background_image.png',
                'thumbnail_path' => 'public/static/background_image.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 5,
                'user_id' => 1,
                'file_original_name' => 'android_icon',
                'file_name' => 'android_icon.png',
                'img_path' => 'public/static/android_icon.png',
                'big_path' => 'public/static/android_icon.png',
                'small_path' => 'public/static/android_icon.png',
                'thumbnail_path' => 'public/static/android_icon.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 6,
                'user_id' => 1,
                'file_original_name' => 'iso_icon',
                'file_name' => 'iso_icon.png',
                'img_path' => 'public/static/iso_icon.png',
                'big_path' => 'public/static/iso_icon.png',
                'small_path' => 'public/static/iso_icon.png',
                'thumbnail_path' => 'public/static/iso_icon.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 7,
                'user_id' => 1,
                'file_original_name' => 'support',
                'file_name' => 'support.png',
                'img_path' => 'public/static/support.png',
                'big_path' => 'public/static/support.png',
                'small_path' => 'public/static/support.png',
                'thumbnail_path' => 'public/static/support.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 8,
                'user_id' => 1,
                'file_original_name' => 'attendance',
                'file_name' => 'attendance.png',
                'img_path' => 'public/static/attendance.png',
                'big_path' => 'public/static/attendance.png',
                'small_path' => 'public/static/attendance.png',
                'thumbnail_path' => 'public/static/attendance.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 9,
                'user_id' => 1,
                'file_original_name' => 'notice',
                'file_name' => 'notice.png',
                'img_path' => 'public/static/notice.png',
                'big_path' => 'public/static/notice.png',
                'small_path' => 'public/static/notice.png',
                'thumbnail_path' => 'public/static/notice.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 10,
                'user_id' => 1,
                'file_original_name' => 'expense',
                'file_name' => 'expense.png',
                'img_path' => 'public/static/expense.png',
                'big_path' => 'public/static/expense.png',
                'small_path' => 'public/static/expense.png',
                'thumbnail_path' => 'public/static/expense.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 11,
                'user_id' => 1,
                'file_original_name' => 'leave',
                'file_name' => 'leave.png',
                'img_path' => 'public/static/leave.png',
                'big_path' => 'public/static/leave.png',
                'small_path' => 'public/static/leave.png',
                'thumbnail_path' => 'public/static/leave.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 12,
                'user_id' => 1,
                'file_original_name' => 'approval',
                'file_name' => 'approval.png',
                'img_path' => 'public/static/approval.png',
                'big_path' => 'public/static/approval.png',
                'small_path' => 'public/static/approval.png',
                'thumbnail_path' => 'public/static/approval.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 13,
                'user_id' => 1,
                'file_original_name' => 'phonebook',
                'file_name' => 'phonebook.png',
                'img_path' => 'public/static/phonebook.png',
                'big_path' => 'public/static/phonebook.png',
                'small_path' => 'public/static/phonebook.png',
                'thumbnail_path' => 'public/static/phonebook.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 14,
                'user_id' => 1,
                'file_original_name' => 'visit',
                'file_name' => 'visit.png',
                'img_path' => 'public/static/visit.png',
                'big_path' => 'public/static/visit.png',
                'small_path' => 'public/static/visit.png',
                'thumbnail_path' => 'public/static/visit.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 15,
                'user_id' => 1,
                'file_original_name' => 'appointments',
                'file_name' => 'appointments.png',
                'img_path' => 'public/static/appointments.png',
                'big_path' => 'public/static/appointments.png',
                'small_path' => 'public/static/appointments.png',
                'thumbnail_path' => 'public/static/appointments.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 16,
                'user_id' => 1,
                'file_original_name' => 'break',
                'file_name' => 'break.png',
                'img_path' => 'public/static/break.png',
                'big_path' => 'public/static/break.png',
                'small_path' => 'public/static/break.png',
                'thumbnail_path' => 'public/static/break.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 17,
                'user_id' => 1,
                'file_original_name' => 'report',
                'file_name' => 'report.png',
                'img_path' => 'public/static/report.png',
                'big_path' => 'public/static/report.png',
                'small_path' => 'public/static/report.png',
                'thumbnail_path' => 'public/static/report.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            //portfolio 
            [
                'id' => 21,
                'user_id' => 1,
                'file_original_name' => 'portfolio1',
                'file_name' => 'portfolio1.png',
                'img_path' => 'public/static/portfolio1.png',
                'big_path' => 'public/static/portfolio1.png',
                'small_path' => 'public/static/portfolio1.png',
                'thumbnail_path' => 'public/static/portfolio1.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 22,
                'user_id' => 1,
                'file_original_name' => 'portfolio2',
                'file_name' => 'portfolio2.png',
                'img_path' => 'public/static/portfolio2.png',
                'big_path' => 'public/static/portfolio2.png',
                'small_path' => 'public/static/portfolio2.png',
                'thumbnail_path' => 'public/static/portfolio2.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 23,
                'user_id' => 1,
                'file_original_name' => 'portfolio3',
                'file_name' => 'portfolio3.png',
                'img_path' => 'public/static/portfolio3.png',
                'big_path' => 'public/static/portfolio3.png',
                'small_path' => 'public/static/portfolio3.png',
                'thumbnail_path' => 'public/static/portfolio3.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 24,
                'user_id' => 1,
                'file_original_name' => 'portfolio4',
                'file_name' => 'portfolio4.png',
                'img_path' => 'public/static/portfolio4.png',
                'big_path' => 'public/static/portfolio4.png',
                'small_path' => 'public/static/portfolio4.png',
                'thumbnail_path' => 'public/static/portfolio4.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 25,
                'user_id' => 1,
                'file_original_name' => 'portfolio5',
                'file_name' => 'portfolio5.png',
                'img_path' => 'public/static/portfolio5.png',
                'big_path' => 'public/static/portfolio5.png',
                'small_path' => 'public/static/portfolio5.png',
                'thumbnail_path' => 'public/static/portfolio5.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 26,
                'user_id' => 1,
                'file_original_name' => 'portfolio6',
                'file_name' => 'portfolio6.png',
                'img_path' => 'public/static/portfolio6.png',
                'big_path' => 'public/static/portfolio6.png',
                'small_path' => 'public/static/portfolio6.png',
                'thumbnail_path' => 'public/static/portfolio6.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 27,
                'user_id' => 1,
                'file_original_name' => 'portfolio7',
                'file_name' => 'portfolio7.png',
                'img_path' => 'public/static/portfolio7.png',
                'big_path' => 'public/static/portfolio7.png',
                'small_path' => 'public/static/portfolio7.png',
                'thumbnail_path' => 'public/static/portfolio7.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 28,
                'user_id' => 1,
                'file_original_name' => 'portfolio8',
                'file_name' => 'portfolio8.png',
                'img_path' => 'public/static/portfolio8.png',
                'big_path' => 'public/static/portfolio8.png',
                'small_path' => 'public/static/portfolio8.png',
                'thumbnail_path' => 'public/static/portfolio8.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],

            //team ***********************************************
            [
                'id' => 29,
                'user_id' => 1,
                'file_original_name' => 'team1',
                'file_name' => 'team1.png',
                'img_path' => 'public/static/team1.png',
                'big_path' => 'public/static/team1.png',
                'small_path' => 'public/static/team1.png',
                'thumbnail_path' => 'public/static/team1.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 30,
                'user_id' => 1,
                'file_original_name' => 'team2',
                'file_name' => 'team2.png',
                'img_path' => 'public/static/team2.png',
                'big_path' => 'public/static/team2.png',
                'small_path' => 'public/static/team2.png',
                'thumbnail_path' => 'public/static/team2.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 31,
                'user_id' => 1,
                'file_original_name' => 'team3',
                'file_name' => 'team3.png',
                'img_path' => 'public/static/team3.png',
                'big_path' => 'public/static/team3.png',
                'small_path' => 'public/static/team3.png',
                'thumbnail_path' => 'public/static/team3.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 32,
                'user_id' => 1,
                'file_original_name' => 'team4',
                'file_name' => 'team4.png',
                'img_path' => 'public/static/team4.png',
                'big_path' => 'public/static/team4.png',
                'small_path' => 'public/static/team4.png',
                'thumbnail_path' => 'public/static/team4.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 33,
                'user_id' => 1,
                'file_original_name' => 'team5',
                'file_name' => 'team5.png',
                'img_path' => 'public/static/team5.png',
                'big_path' => 'public/static/team5.png',
                'small_path' => 'public/static/team5.png',
                'thumbnail_path' => 'public/static/team5.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 34,
                'user_id' => 1,
                'file_original_name' => 'team6',
                'file_name' => 'team6.png',
                'img_path' => 'public/static/team6.png',
                'big_path' => 'public/static/team6.png',
                'small_path' => 'public/static/team6.png',
                'thumbnail_path' => 'public/static/team6.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 35,
                'user_id' => 1,
                'file_original_name' => 'team7',
                'file_name' => 'team7.png',
                'img_path' => 'public/static/team7.png',
                'big_path' => 'public/static/team7.png',
                'small_path' => 'public/static/team7.png',
                'thumbnail_path' => 'public/static/team7.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 36,
                'user_id' => 1,
                'file_original_name' => 'team8',
                'file_name' => 'team8.png',
                'img_path' => 'public/static/team8.png',
                'big_path' => 'public/static/team8.png',
                'small_path' => 'public/static/team8.png',
                'thumbnail_path' => 'public/static/team8.png',
                'extension' => '.png',
                'type' => 'png',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],

            //end team **************************************************

            //Start clients and employees
            [
                'id' => 37,
                'user_id' => 1,
                'file_original_name' => '1',
                'file_name' => '1.jpg',
                'img_path' => 'public/uploads/avatar/1.jpg',
                'big_path' => 'public/uploads/avatar/1.jpg',
                'small_path' => 'public/uploads/avatar/1.jpg',
                'thumbnail_path' => 'public/uploads/avatar/1.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 38,
                'user_id' => 1,
                'file_original_name' => '2',
                'file_name' => '2.jpg',
                'img_path' => 'public/uploads/avatar/2.jpg',
                'big_path' => 'public/uploads/avatar/2.jpg',
                'small_path' => 'public/uploads/avatar/2.jpg',
                'thumbnail_path' => 'public/uploads/avatar/2.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 39,
                'user_id' => 1,
                'file_original_name' => '3',
                'file_name' => '3.jpg',
                'img_path' => 'public/uploads/avatar/3.jpg',
                'big_path' => 'public/uploads/avatar/3.jpg',
                'small_path' => 'public/uploads/avatar/3.jpg',
                'thumbnail_path' => 'public/uploads/avatar/3.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 40,
                'user_id' => 1,
                'file_original_name' => '4',
                'file_name' => '4.jpg',
                'img_path' => 'public/uploads/avatar/4.jpg',
                'big_path' => 'public/uploads/avatar/4.jpg',
                'small_path' => 'public/uploads/avatar/4.jpg',
                'thumbnail_path' => 'public/uploads/avatar/4.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 41,
                'user_id' => 1,
                'file_original_name' => '5',
                'file_name' => '5.jpg',
                'img_path' => 'public/uploads/avatar/5.jpg',
                'big_path' => 'public/uploads/avatar/5.jpg',
                'small_path' => 'public/uploads/avatar/5.jpg',
                'thumbnail_path' => 'public/uploads/avatar/5.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 42,
                'user_id' => 1,
                'file_original_name' => '6',
                'file_name' => '6.jpg',
                'img_path' => 'public/uploads/avatar/6.jpg',
                'big_path' => 'public/uploads/avatar/6.jpg',
                'small_path' => 'public/uploads/avatar/6.jpg',
                'thumbnail_path' => 'public/uploads/avatar/6.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 43,
                'user_id' => 1,
                'file_original_name' => '7',
                'file_name' => '7.jpg',
                'img_path' => 'public/uploads/avatar/7.jpg',
                'big_path' => 'public/uploads/avatar/7.jpg',
                'small_path' => 'public/uploads/avatar/7.jpg',
                'thumbnail_path' => 'public/uploads/avatar/7.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 44,
                'user_id' => 1,
                'file_original_name' => '8',
                'file_name' => '8.jpg',
                'img_path' => 'public/uploads/avatar/8.jpg',
                'big_path' => 'public/uploads/avatar/8.jpg',
                'small_path' => 'public/uploads/avatar/8.jpg',
                'thumbnail_path' => 'public/uploads/avatar/8.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 45,
                'user_id' => 1,
                'file_original_name' => '9',
                'file_name' => '9.jpg',
                'img_path' => 'public/uploads/avatar/9.jpg',
                'big_path' => 'public/uploads/avatar/9.jpg',
                'small_path' => 'public/uploads/avatar/9.jpg',
                'thumbnail_path' => 'public/uploads/avatar/9.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 46,
                'user_id' => 1,
                'file_original_name' => '10',
                'file_name' => '10.jpg',
                'img_path' => 'public/uploads/avatar/10.jpg',
                'big_path' => 'public/uploads/avatar/10.jpg',
                'small_path' => 'public/uploads/avatar/10.jpg',
                'thumbnail_path' => 'public/uploads/avatar/10.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 47,
                'user_id' => 1,
                'file_original_name' => '11',
                'file_name' => '11.jpg',
                'img_path' => 'public/uploads/avatar/11.jpg',
                'big_path' => 'public/uploads/avatar/11.jpg',
                'small_path' => 'public/uploads/avatar/11.jpg',
                'thumbnail_path' => 'public/uploads/avatar/11.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 48,
                'user_id' => 1,
                'file_original_name' => '12',
                'file_name' => '12.jpg',
                'img_path' => 'public/uploads/avatar/12.jpg',
                'big_path' => 'public/uploads/avatar/12.jpg',
                'small_path' => 'public/uploads/avatar/12.jpg',
                'thumbnail_path' => 'public/uploads/avatar/12.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 49,
                'user_id' => 1,
                'file_original_name' => '13',
                'file_name' => '13.jpg',
                'img_path' => 'public/uploads/avatar/13.jpg',
                'big_path' => 'public/uploads/avatar/13.jpg',
                'small_path' => 'public/uploads/avatar/13.jpg',
                'thumbnail_path' => 'public/uploads/avatar/13.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 50,
                'user_id' => 1,
                'file_original_name' => '14',
                'file_name' => '14.jpg',
                'img_path' => 'public/uploads/avatar/14.jpg',
                'big_path' => 'public/uploads/avatar/14.jpg',
                'small_path' => 'public/uploads/avatar/14.jpg',
                'thumbnail_path' => 'public/uploads/avatar/14.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 51,
                'user_id' => 1,
                'file_original_name' => '15',
                'file_name' => '15.jpg',
                'img_path' => 'public/uploads/avatar/15.jpg',
                'big_path' => 'public/uploads/avatar/15.jpg',
                'small_path' => 'public/uploads/avatar/15.jpg',
                'thumbnail_path' => 'public/uploads/avatar/15.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 52,
                'user_id' => 1,
                'file_original_name' => '16',
                'file_name' => '16.jpg',
                'img_path' => 'public/uploads/avatar/16.jpg',
                'big_path' => 'public/uploads/avatar/16.jpg',
                'small_path' => 'public/uploads/avatar/16.jpg',
                'thumbnail_path' => 'public/uploads/avatar/16.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 53,
                'user_id' => 1,
                'file_original_name' => '17',
                'file_name' => '17.jpg',
                'img_path' => 'public/uploads/avatar/17.jpg',
                'big_path' => 'public/uploads/avatar/17.jpg',
                'small_path' => 'public/uploads/avatar/17.jpg',
                'thumbnail_path' => 'public/uploads/avatar/17.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 54,
                'user_id' => 1,
                'file_original_name' => '18',
                'file_name' => '18.jpg',
                'img_path' => 'public/uploads/avatar/18.jpg',
                'big_path' => 'public/uploads/avatar/18.jpg',
                'small_path' => 'public/uploads/avatar/18.jpg',
                'thumbnail_path' => 'public/uploads/avatar/18.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 55,
                'user_id' => 1,
                'file_original_name' => '19',
                'file_name' => '19.jpg',
                'img_path' => 'public/uploads/avatar/19.jpg',
                'big_path' => 'public/uploads/avatar/19.jpg',
                'small_path' => 'public/uploads/avatar/19.jpg',
                'thumbnail_path' => 'public/uploads/avatar/19.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,

            ],
            [
                'id' => 56,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '20.jpg',
                'img_path' => 'public/uploads/avatar/20.jpg',
                'big_path' => 'public/uploads/avatar/20.jpg',
                'small_path' => 'public/uploads/avatar/20.jpg',
                'thumbnail_path' => 'public/uploads/avatar/20.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 57,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '1.jpg',
                'img_path' => 'public/uploads/avatar/projects/1.jpg',
                'big_path' => 'public/uploads/avatar/projects/1.jpg',
                'small_path' => 'public/uploads/avatar/projects/1.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/1.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 58,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '2.jpg',
                'img_path' => 'public/uploads/avatar/projects/2.jpg',
                'big_path' => 'public/uploads/avatar/projects/2.jpg',
                'small_path' => 'public/uploads/avatar/projects/2.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/2.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 59,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '3.jpg',
                'img_path' => 'public/uploads/avatar/projects/3.jpg',
                'big_path' => 'public/uploads/avatar/projects/3.jpg',
                'small_path' => 'public/uploads/avatar/projects/3.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/3.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 60,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '4.jpg',
                'img_path' => 'public/uploads/avatar/projects/4.jpg',
                'big_path' => 'public/uploads/avatar/projects/4.jpg',
                'small_path' => 'public/uploads/avatar/projects/4.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/4.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 61,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '5.jpg',
                'img_path' => 'public/uploads/avatar/projects/5.jpg',
                'big_path' => 'public/uploads/avatar/projects/5.jpg',
                'small_path' => 'public/uploads/avatar/projects/5.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/5.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 62,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '6.jpg',
                'img_path' => 'public/uploads/avatar/projects/6.jpg',
                'big_path' => 'public/uploads/avatar/projects/6.jpg',
                'small_path' => 'public/uploads/avatar/projects/6.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/6.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 63,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '7.jpg',
                'img_path' => 'public/uploads/avatar/projects/7.jpg',
                'big_path' => 'public/uploads/avatar/projects/7.jpg',
                'small_path' => 'public/uploads/avatar/projects/7.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/7.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 64,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '8.jpg',
                'img_path' => 'public/uploads/avatar/projects/8.jpg',
                'big_path' => 'public/uploads/avatar/projects/8.jpg',
                'small_path' => 'public/uploads/avatar/projects/8.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/8.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 65,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '9.jpg',
                'img_path' => 'public/uploads/avatar/projects/9.jpg',
                'big_path' => 'public/uploads/avatar/projects/9.jpg',
                'small_path' => 'public/uploads/avatar/projects/9.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/9.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],
            [
                'id' => 66,
                'user_id' => 1,
                'file_original_name' => '20',
                'file_name' => '10.jpg',
                'img_path' => 'public/uploads/avatar/projects/10.jpg',
                'big_path' => 'public/uploads/avatar/projects/10.jpg',
                'small_path' => 'public/uploads/avatar/projects/10.jpg',
                'thumbnail_path' => 'public/uploads/avatar/projects/10.jpg',
                'extension' => '.jpg',
                'type' => 'jpg',
                'file_size' => 0,
                'width' => 100,
                'height' => 100,
                'status_id' => 1,
            ],


        ];

        foreach($array as $arr){
            Upload::create($arr);
        }
    }
}
