"use strict";

// dynamic form validation start
$('.modal_select2').select2();

$(".s_date").daterangepicker({
  singleDatePicker: true,
  showDropdowns: true,
});

$(function () {
  let options = {
    timePicker: true,
    singleDatePicker: true,
    timePicker24Hour: $("#time_format").val() == "h" ? false : true,
    timePickerIncrement: 1,
    timePickerSeconds: true,
    locale: {
      format: "HH:mm:ss",
    },
  };
  $(".s_time")
    .daterangepicker(options)
    .on("show.daterangepicker", function (ev, picker) {
      picker.container.find(".calendar-table").hide();
    });
});

$('#modal_values').on('keyup keypress', function(e) {
  var keyCode = e.keyCode || e.which;
  if (keyCode === 13) { 
    e.preventDefault();
    return false;
  }
});

$('.hit_modal').on('click', function (e) {
    e.preventDefault();
    var data = '';
    data = {
        url : $('#modal_values').attr('action'),
    };
    data['data'] = $('#modal_values').serialize();
    data["value"] = {          
        method: 'POST',
        _token: _token,
        load: 'table',
    };
    http_Request([data]).then(function(response){
        if (response.status == 200) {                              
            Toast.fire({
                icon: 'success',
                title: response.data.message,
                timer: 1500,
            })
            $('.modal').empty();
            $('.modal').modal('toggle');
            $('.modal-backdrop').remove();           
            pagination(page)
           
        }else {
            Toast.fire({
                icon: 'error',
                title: response?.data?.message ?? 'Something went wrong.',
            })
        }

    }).catch(function(error){
        if (error?.response?.data?.errors) {
            $.each(error?.response?.data?.errors, function (key, value) {
                $('#' + key).removeClass('is-invalid');
                let select2Tags = $('#' + key).next().find('.select2-selection');
                if (select2Tags?.prevObject[0]?.className == 'select2 select2-container select2-container--default') {
                    $('#' + key).next('.select2-container').next().empty();
                    $('#' + key).next('.select2-container').after('<div class="invalid-feedback d-inline">' + value[0] + '</div>');   
                }else{
                    $('#' + key).next().empty();
                    $('#' + key).addClass('is-invalid');
                    $('#' + key).after('<div class="invalid-feedback">' + value[0] + '</div>');
                }
            });           
        }else if(error?.response?.data?.message) {
            Toast.fire({
                icon: 'error',
                title: error?.response?.data?.message,
            })
        }
    });
});
console.clear();

$("#user_id").select2({
  placeholder: $("#select_custom_members").val(),
  placement: "bottom",
  ajax: {
    url: $("#get_custom_user_url").val(),
    dataType: "json",
    data: {
      _token: _token,
    },
    type: "POST",
    delay: 250,
    processResults: function (data) {
      return {
        results: $.map(data, function (item) {
          return {
            text: item.name,
            id: item.id,
          };
        }),
      };
    },
    cache: true,
  },
});

var progressValue = (val) => {
  $("#progress_percentage").html(val + "%");
};

// Modal Select2 Dropdown
$('.modal_select2').select2({
    dropdownParent: $(".modal-content"),
    width: "100%",
});
