<!DOCTYPE html>
<?php
App::setLocale(userLocal());
?>
<html lang="<?php echo e(userLocal()); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title> <?php echo e(@base_settings('company_name')); ?> - <?php echo $__env->yieldContent('title'); ?></title>
    <meta name="keywords"
        content="attendance, finance, hr management, employee, hrm, HRM management system, human, laravel, leave,office, office-attendance, php, report, resource">
    <meta name="description" content="Onest HRM Human Resource Management System Website ">
    <?php if(env('APP_ENV') == 'server'): ?>
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
    <?php endif; ?>
    <meta name="base-url" id="base-url" content="<?php echo e(env('APP_URL')); ?>">
    <meta name="deleteText" id="deleteText" content="<?php echo e(_trans('common.Delete')); ?>">
    <meta name="editText" id="editText" content="<?php echo e(_trans('common.Edit')); ?>">
    <meta name="cancelText" id="cancelText" content="<?php echo e(_trans('common.Cancel')); ?>">
    <meta name="yesText" id="yesText" content="<?php echo e(_trans('common.Yes')); ?>">
    <meta name="noText" id="noText" content="<?php echo e(_trans('common.No')); ?>">



    
    <?php echo $__env->make('backend.partials.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <?php echo $__env->yieldContent('style'); ?>
</head>

<body class="default-theme">
    
    <input type="text" hidden value="<?php echo e(env('APP_URL')); ?>" id="url">
    <input type="text" hidden value="<?php echo e(config('settings.app.company_name')); ?>" id="site_name">
    <input type="text" hidden value="<?php echo e(settings('time_format')); ?>" id="time_format">
    <input type="text" hidden value="<?php echo e(\Carbon\Carbon::now()->format('Y/m/d')); ?>" id="defaultDate">
    <input type="hidden" id="get_custom_user_url" value="<?php echo e(route('user.getUser')); ?>">
    <input hidden value="<?php echo e(_trans('project.Select Employee')); ?>" id="select_custom_members">
    <input hidden value="<?php echo e(auth()->id()); ?>" id="fire_base_authenticate">
    <input hidden value="<?php echo e(_trans('alert.Are you sure?')); ?>" id="are_you_sure">
    <input hidden value="<?php echo e(_trans('alert.You want to delete this record?')); ?>" id="you_want_delete">
    <input hidden value="<?php echo e(_trans('response.Something went wrong')); ?>" id="something_wrong">
    <input hidden value="<?php echo e(_trans('common.Yes')); ?>" id="yes">
    <input hidden value="<?php echo e(_trans('common.Cancel')); ?>" id="cancel">
    <input hidden value="<?php echo e(@settings('currency_symbol')); ?>" id="currency_symbol">
    <input hidden value="<?php echo e(_trans('common.No data found !')); ?>" id="nothing_show_here">
    <div id="layout-wrapper">
        
        <?php echo $__env->make('backend.partials.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        

        
        <?php echo $__env->make('backend.partials.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
        <main class="main-content ph-32 pt-100 pb-20" id="__index_ltn">
            <div class="page-content">
                
                <?php echo $__env->yieldContent('content'); ?>
                
            </div>
            
            <?php echo $__env->make('backend.partials.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            
        </main>



    </div>

    
    <script>
        var isRTL = <?php echo e(@isRTL()); ?>;
    </script>
    <?php echo $__env->make('backend.partials.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    

    <?php if(Auth::check() && env('APP_ENV') == 'production'): ?>
    <script src="<?php echo e(asset('https://www.gstatic.com/firebasejs/8.7.1/firebase-app.js')); ?>"></script>
    <script src="<?php echo e(asset('https://www.gstatic.com/firebasejs/8.7.1/firebase-messaging.js')); ?>"></script>
    <script>
        <?php echo $__env->make('vendor.notifications.init_firebase', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </script>
    <script src="<?php echo e(asset('public/backend/js/__firebase.js')); ?>"></script>
    <?php endif; ?>

    
    
    <script src="<?php echo e(asset('public/backend/js/table/data-table.js')); ?>"></script>
    
    <?php echo $__env->yieldContent('script'); ?>
    <script src="<?php echo e(asset('public/backend/js/backend_common.js')); ?>"></script>
    <script src="<?php echo e(asset('public/backend/js/__app.script.js')); ?>"></script>

    <script src="<?php echo e(asset('public/cute-alert/cute-alert.js')); ?>"></script>

    <?php echo $__env->make('backend.partials.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


</body>

</html><?php /**PATH C:\laragon\www\newcrm\resources\views/backend/layouts/app.blade.php ENDPATH**/ ?>